# Interface for submodule: AbortEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: AbortEvent
from ._proxies import AbortEventProxy as _AbortEventProxy
class _AbortEventTemplate(_itkTemplate):
    """Interface for instantiating itk::AbortEvent"""

    def __new__(cls, *args: Any) -> _AbortEventProxy:
        """Instantiate itk::AbortEvent"""
        ...

    def __call__(self, *args: Any) -> _AbortEventProxy:
        """Instantiate itk::AbortEvent"""
        ...

AbortEvent = _AbortEventTemplate

